<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of Http
 *
 * @author jgao
 */
class Web {
    //put your code here
    
    static $lastError = 0;
    static function request($url, $data){
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url); 
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_FOLLOWLOCATION ,true);
        curl_setopt($ch, CURLOPT_COOKIEFILE, 'cookie.txt');
        curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
        curl_setopt($ch, CURLOPT_MAXREDIRS,10);
        curl_setopt($ch, CURLOPT_TIMEOUT,10);
        curl_setopt($ch, CURLOPT_USERAGENT, $_SERVER['HTTP_USER_AGENT']);
        $output = curl_exec($ch);
        self::$lastError = curl_errno($ch);
        curl_close($ch);
        return $output;
    }
    
    static function getQueryString() {
        $queryStr = "";
        switch ($_SERVER['REQUEST_METHOD']) {
            case 'GET':
                $queryStr = $_SERVER["QUERY_STRING"];
                break;
            case 'POST':
                $queryStr = file_get_contents("php://input");
                break;
        }
        return $queryStr;
    }
    
    /**
     * 提取url参数
     * @param type $queryStr
     * @return type 
     */
    static function getQueryParas() {
        return self::parseQueryParas(self::getQueryString());
    }
    
    static function parseQueryParas($queryStr) {
        $arr = explode("&", $queryStr);
        $queryParas = array();
        foreach ($arr as $value) {
            $paras = explode("=", $value);
            $queryParas[$paras[0]] = $paras[1];
        }
        return $queryParas;
    }
}
